Bug 1232739 - validate-formats-* tests fail when built with openjpeg2 support on big endian arches
Summary: validate-formats-* tests fail when built with openjpeg2 support on big endian...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openjpeg2
Version: rawhide
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/ImageMagick/ImageM...
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-06-17 12:09 UTC by Dan Horák
Modified: 2015-07-04 20:11 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-04 20:09:09 UTC


Attachments (Terms of Use)
log from failed test (135.06 KB, text/plain)
2015-06-17 12:09 UTC, Dan Horák
no flags Details
build log from a local F-22 ppc64 rebuild (437.80 KB, text/plain)
2015-06-17 12:31 UTC, Dan Horák
no flags Details

Description Dan Horák 2015-06-17 12:09:50 UTC
Created attachment 1039902 [details]
log from failed test

The validate-formats-* tests fail when ImageMagick is built with openjpeg2 support on big endian arches (ppc64, s390(x)).

...
PASS: Magick++/demo/demos.tap 20
PASS: Magick++/demo/demos.tap 21
PASS: Magick++/demo/demos.tap 22
PASS: Magick++/demo/demos.tap 23
PASS: Magick++/demo/demos.tap 24
FAIL: tests/validate-formats-memory.tap 1
FAIL: tests/validate-formats-map.tap 1
FAIL: tests/validate-formats-disk.tap 1
make[4]: Entering directory '/home/sharkcz/ImageMagick/ImageMagick-6.9.1-3'
make  all-am
make[5]: Entering directory '/home/sharkcz/ImageMagick/ImageMagick-6.9.1-3'
make[5]: Leaving directory '/home/sharkcz/ImageMagick/ImageMagick-6.9.1-3'
make[4]: Leaving directory '/home/sharkcz/ImageMagick/ImageMagick-6.9.1-3'
============================================================================
Testsuite summary for ImageMagick 6.9.1
============================================================================
# TOTAL: 76
# PASS:  73
# SKIP:  0
# XFAIL: 0
# FAIL:  3
# XPASS: 0
# ERROR: 0
============================================================================
See ./test-suite.log
Please report to http://www.imagemagick.org
============================================================================


Version-Release number of selected component (if applicable):
ImageMagick-6.9.1.3-0.beta.3.fc23.2

Comment 1 Dan Horák 2015-06-17 12:31:52 UTC
Created attachment 1039916 [details]
build log from a local F-22 ppc64 rebuild

Comment 2 Dan Horák 2015-06-23 18:54:39 UTC
Based on https://github.com/ImageMagick/ImageMagick/issues/11#issuecomment-114585588 switching to openjpeg2.

Comment 3 Sandro Mani 2015-06-24 23:45:08 UTC
https://github.com/uclouvain/openjpeg/issues/518

Comment 4 Fedora Update System 2015-06-25 21:27:23 UTC
openjpeg2-2.1.0-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/openjpeg2-2.1.0-5.fc22

Comment 5 Fedora Update System 2015-06-25 21:28:36 UTC
openjpeg2-2.1.0-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openjpeg2-2.1.0-5.fc21

Comment 6 Fedora Update System 2015-06-26 20:30:42 UTC
Package openjpeg2-2.1.0-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openjpeg2-2.1.0-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10782/openjpeg2-2.1.0-5.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-07-04 20:09:09 UTC
openjpeg2-2.1.0-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-07-04 20:11:55 UTC
openjpeg2-2.1.0-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.